Subject: Re: gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Sun, 29 Nov 2020 18:56:25 +0100

Hi!

Excerpts from Nicolas Goaziou's message of November 28, 2020 4:41 pm:
> Tanguy LE CARROUR <[email-masked]> writes:
> 
>> Would have it been better for me to submit separate patches, as they are
>> not really specific to Poetry, and wait for them to be merged before
>> submitting a patch set with only `poetry-core` and `poetry`?
> 
> The sole "problematic" patch is the one updating python-distlib, in the
> sense that it cannot be applied in the same branch as the others (unless
> everything goes into core-updates, of course).
> 
> If you can split the set into independent parts, i.e., if you don't
> really need to update python-distlib prior to updating Poetry, we can
> process it differently.

I'm working on it! But it's apparently rebuilding the World, which is really
slow on my computer at home! :-(

>> The process is not yet clear to me. Out of sheer curiosity… can someone object
>> to a merge in master? Who would that be?
> 
> Per (info "(guix) Submitting Patches"), packages with more than 1800
> dependent packages, as is the case with python-distlib, are updated in
> the "core-updates" branch. If I apply it on master branch, it will be
> reverted presto by another commiter.
> 
> Does that make sense?

It's the last part that I still cannot figure out how it happens:
"it will be reverted presto by another commiter".

It's not the "why", it the "how"! Are each commit on the master branch
monitored for quality/conformity?!
Thanks to Chris's email, I've justed discovered Patchwork. Is it were
the "magic" happens?!

Regards,

-- 
Tanguy